- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::DelaunayTriangulator Class Reference

Utility class that triangulates an irregular network of sample points. More...

Inheritance diagram for osgUtil::DelaunayTriangulator:

[legend]
List of all members.

## Public Member Functions
| DelaunayTriangulator ()
| DelaunayTriangulator (osg::Vec3Array *points, osg::Vec3Array *normals=0)
| DelaunayTriangulator (const DelaunayTriangulator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
const osg::Vec3Array * | getInputPointArray () const
| Get the const input point array.
osg::Vec3Array * | getInputPointArray ()
| Get the input point array.
void | setInputPointArray (osg::Vec3Array *points)
| Set the input point array.
const osg::Vec3Array * | getOutputNormalArray () const
| Get the const output normal array (optional).
osg::Vec3Array * | getOutputNormalArray ()
| Get the output normal array (optional).
void | setOutputNormalArray (osg::Vec3Array *normals)
| Set the output normal array (optional).
bool | triangulate ()
| Start triangulation.
const osg::DrawElementsUInt * | getTriangles () const
| Get the generated primitive (call triangulate() first).
osg::DrawElementsUInt * | getTriangles ()
| Get the generated primitive (call triangulate() first).
## Protected Member Functions
virtual | ~DelaunayTriangulator ()
DelaunayTriangulator & | operator= (const DelaunayTriangulator &)

## Detailed Description

Utility class that triangulates an irregular network of sample points.

Just create a DelaunayTriangulator, assign it the sample point array and call its triangulate() method to start the triangulation. Then you can obtain the generated primitive by calling the getTriangles() method.

## Constructor & Destructor Documentation

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( |  | ) |

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( | osg::Vec3Array * | points,
|  | osg::Vec3Array * | normals = `0`
| ) | `[explicit]`

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( | const DelaunayTriangulator & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

osgUtil::DelaunayTriangulator::~DelaunayTriangulator | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

osg::Vec3Array * osgUtil::DelaunayTriangulator::getInputPointArray | ( |  | ) | `[inline]`

| Get the input point array.

const osg::Vec3Array * osgUtil::DelaunayTriangulator::getInputPointArray | ( |  | ) | const`[inline]`

| Get the const input point array.

osg::Vec3Array * osgUtil::DelaunayTriangulator::getOutputNormalArray | ( |  | ) | `[inline]`

| Get the output normal array (optional).

const osg::Vec3Array * osgUtil::DelaunayTriangulator::getOutputNormalArray | ( |  | ) | const`[inline]`

| Get the const output normal array (optional).

osg::DrawElementsUInt * osgUtil::DelaunayTriangulator::getTriangles | ( |  | ) | `[inline]`

| Get the generated primitive (call triangulate() first).

const osg::DrawElementsUInt * osgUtil::DelaunayTriangulator::getTriangles | ( |  | ) | const`[inline]`

| Get the generated primitive (call triangulate() first).

DelaunayTriangulator& osgUtil::DelaunayTriangulator::operator= | ( | const DelaunayTriangulator & |  | ) | `[inline, protected]`

void osgUtil::DelaunayTriangulator::setInputPointArray | ( | osg::Vec3Array * | points | ) | `[inline]`

| Set the input point array.

void osgUtil::DelaunayTriangulator::setOutputNormalArray | ( | osg::Vec3Array * | normals | ) | `[inline]`

| Set the output normal array (optional).

bool osgUtil::DelaunayTriangulator::triangulate | ( |  | ) |

| Start triangulation.

The documentation for this class was generated from the following files:

- DelaunayTriangulator
- DelaunayTriangulator.cpp